//	AnimalActorOver.cpp - Overworld Actor representing an Animal.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "AnimalActorOver.h"

using namespace std;

//------------------------------------------------------------------------------
AnimalActorOver::AnimalActorOver(const string& animalName,
								 const Stats& stats,
								 uint32_t animalImage):
Actor(stats)
{
	animals[0] = shared_ptr<AnimalActor>(new AnimalActor(animalName, stats, animalImage));
	animals[1] = shared_ptr<AnimalActor>(new AnimalActor(animalName, stats, animalImage));
}

//------------------------------------------------------------------------------
AnimalActorOver::~AnimalActorOver()
{

}

//------------------------------------------------------------------------------
void AnimalActorOver::draw(Drawer *d, const TwoFloats& pos, float scale)
{
	animals[0]->draw(d, pos, scale);
}
