//	DamageText.cpp - A simple damage display when Actors attack each other.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "DamageText.h"
#include "MiscHelper.h"
#include "NiallsDrawingLib/Drawer.h"

#include <sstream>

using namespace std;

//------------------------------------------------------------------------------
DamageText::DamageText(int val, const TwoFloats& pos):
value(val),
position(pos),
counter(20)
{

}

//------------------------------------------------------------------------------
DamageText::~DamageText()
{

}

//------------------------------------------------------------------------------
bool DamageText::draw(Drawer *d, uint32_t font)
{
	stringstream tempstr;
	bool retval = false;

	tempstr << value;
	d->drawText(tempstr.str(), font, position.x, position.y, 128, 1.0f, 1.0f, 1.0f, 1.0f, fakeLog((float)counter/20.0f));

	--counter;
	position.y -= 1.0f;
	if(counter <= 0)
		retval = true;

	return retval;
}
