//	DamageText.h - A simple damage display when Actors attack each other.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef DAMAGETEXT_H_
#define DAMAGETEXT_H_

#include "TwoFloats.h"

#include <stdint.h>

class Drawer;

///	A simple damage display for when Actors attack each other.
class DamageText
{
  public:
	///	Constructor.
	DamageText(int val, const TwoFloats& pos);
	///	Destructor.
	~DamageText();

	///	Draws the text, returns true if it can be deleted.
	bool draw(Drawer *d, uint32_t font);
  private:
	///	The amount of damage taken.
	int value;
	///	The position of the display.
	TwoFloats position;
	///	Counter to determine when the display should be deleted.
	int counter;
};

#endif
