//	Item.h - Struct representing an Item.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef ITEM_H_
#define ITEM_H_

#include "Stats.h"
#include "TwoFloats.h"

#include <string>

///	Struct representing an Item.
struct Item
{
	///	The Item's name.
	std::string name;
	///	The Item's stats.
	Stats stats;
	///	The Item's position in the world.
	TwoFloats position;
	///	Whether it's a stat boost or a health replenishment.
	bool food;

	///	Constructor.
	Item(const TwoFloats& pos);
};

#endif
