//	MessageBox.cpp - A simple message box.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "MessageBox.h"
#include "NiallsDrawingLib/Drawer.h"

using namespace std;

//------------------------------------------------------------------------------
MessageBox::MessageBox():
visible(false),
mouseOver(false)
{

}

//------------------------------------------------------------------------------
MessageBox::~MessageBox()
{

}

//------------------------------------------------------------------------------
void MessageBox::draw(Drawer *d,
					  uint32_t windowImage,
					  uint32_t buttonImage,
					  uint32_t font)
{
	d->drawImage(windowImage, 640-256, 360-256);
	d->drawText(message, font, 422, 253, 426);
	d->drawImage(buttonImage, 545, 337, 0.75f, 0.75f);
	if(!mouseOver)
		d->drawText("Ok", font, 612, 408, 128);
	else
		d->drawText("Ok", font, 612, 408, 128, 1.0f, 0.66f, 0.66f, 1.0f);
}

//------------------------------------------------------------------------------
void MessageBox::mouseMove(const TwoFloats& pos)
{
	if(pos.isWithin(TwoFloats(555, 399), TwoFloats(165, 66)))
		mouseOver = true;
	else
		mouseOver = false;
}

//------------------------------------------------------------------------------
void MessageBox::mouseUp(const TwoFloats& pos)
{
	if(pos.isWithin(TwoFloats(555, 399), TwoFloats(165, 66)))
		visible = false;
}

//------------------------------------------------------------------------------
void MessageBox::display(const std::string& text)
{
	message = text;
	visible = true;
}
