//	OverworldMapGenerator.h - Generator for the overworld map.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef OVERWORLDMAPGENERATOR_H_
#define OVERWORLDMAPGENERATOR_H_

#include "OverworldMap.h"

///	Generator for the overworld map.
class OverworldMapGenerator
{
  public:
	///	Constructor.
	OverworldMapGenerator();
	///	Destructor.
	~OverworldMapGenerator();

	///	Generates an overworld map.
	/*!
		Returns an array OverworldMap::MapWidth x OverworldMap::MapHeight.
	 */
	OverworldMap::Map generate();
};

#endif
